import java.util.*;

public class Company
{
    private String name;
    
    public Company(String n) {
        this.name = n;
    }
    
    public String toString() {
        return "Company " + name;
    }
    
    public String getName() {
        return name;
    }

    public boolean equals(Object obj) {
        //if (obj == null) return false;
        
        if (!(obj instanceof Company)) {
            return false;
        }
        
        if (this == obj) {
            return true;
        }
        
        Company comp = (Company) obj;        
        return (this.getName().equals(comp.getName()));
    }
    
    public int hashCode() {
        return name.hashCode();
    }
}









